libflickr-api-perl_1.28-2_all.deb


Advertisement

Description

libflickr-api-perl - Perl interface to the Flickr API

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libflickr-api-perl_1.28-2_all.deb
Package name libflickr-api-perl
Package version 1.28
Package release 2
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl role::devel-lib
Homepage https://metacpan.org/release/Flickr-API
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 56.53 KB
Installed size 154.00 KB
Flickr::API is a simple interface for using the Flickr API in Perl. It is a
subclass of LWP::UserAgent, so all of the various proxy, request limit, cache
and other options are available.

Alternatives

Package Version Architecture Repository
libflickr-api-perl_1.28-2_all.deb 1.28 all Debian Main
libflickr-api-perl - - -

Requires

Name Value
libhttp-message-perl -
libnet-oauth-perl -
liburi-perl -
libwww-perl << 6
libwww-perl -
libxml-libxml-simple-perl -
libxml-parser-lite-tree-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libflickr-api-perl_1.28-2_all.deb
Source Package libflickr-api-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libflickr-api-perl deb package:
    # sudo apt-get install libflickr-api-perl

Files

Path
/usr/bin/flickr_dump_stored_config
/usr/bin/flickr_make_stored_config
/usr/bin/flickr_make_test_values
/usr/share/doc/libflickr-api-perl/README.gz
/usr/share/doc/libflickr-api-perl/README.subclasses.gz
/usr/share/doc/libflickr-api-perl/changelog.Debian.gz
/usr/share/doc/libflickr-api-perl/changelog.gz
/usr/share/doc/libflickr-api-perl/copyright
/usr/share/doc/libflickr-api-perl/examples/flickr_flickr_authentication.pl.gz
/usr/share/doc/libflickr-api-perl/examples/flickr_method_test_echo.pl
/usr/share/doc/libflickr-api-perl/examples/flickr_method_test_login.pl
/usr/share/doc/libflickr-api-perl/examples/flickr_oauth_authentication.pl.gz
/usr/share/man/man1/flickr_dump_stored_config.1p.gz
/usr/share/man/man1/flickr_make_stored_config.1p.gz
/usr/share/man/man1/flickr_make_test_values.1p.gz
/usr/share/man/man3/Flickr::API.3pm.gz
/usr/share/man/man3/Flickr::API::Cameras.3pm.gz
/usr/share/man/man3/Flickr::API::People.3pm.gz
/usr/share/man/man3/Flickr::API::Reflection.3pm.gz
/usr/share/man/man3/Flickr::API::Request.3pm.gz
/usr/share/man/man3/Flickr::API::Response.3pm.gz
/usr/share/man/man3/Flickr::API::Upload.3pm.gz
/usr/share/perl5/Flickr/API.pm
/usr/share/perl5/Flickr/API/Cameras.pm
/usr/share/perl5/Flickr/API/People.pm
/usr/share/perl5/Flickr/API/Reflection.pm
/usr/share/perl5/Flickr/API/Request.pm
/usr/share/perl5/Flickr/API/Response.pm
/usr/share/perl5/Flickr/API/Upload.pm

Changelog

2018-08-14 - Damyan Ivanov <dmn@debian.org>
libflickr-api-perl (1.28-2) unstable; urgency=medium
* Team upload
[ Laurent Baillet ]
* fix lintian wrong-path-for-interpreter error
[ Alex Muntada ]
* Fix POD issues; remove .pl from scripts POD.
Closes: #875835
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ Damyan Ivanov ]
* describe remove-dot-pl-from-scripts-pod.patch
* bump debhelper compatibility level to 11
* patch a couple of POD spelling mistakes
* Declare conformance with Policy 4.2.0 (no changes needed)
2016-10-19 - Florian Schlichting <fsfs@debian.org>
libflickr-api-perl (1.28-1) unstable; urgency=medium
* Team upload
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Martín Ferrari ]
* Remove myself from Uploaders.
[ gregor herrmann ]
* Remove Jonathan Yu from Uploaders. Thanks for your work!
* Remove Jose Luis Rivas from Uploaders. Thanks for your work!
[ Florian Schlichting ]
* Import upstream version 1.28
* Update years of upstream copyright
* Refresh patch (line offset)
* Ship provided examples and docs
* Declare compliance with Debian Policy 3.9.8
2015-12-05 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.27-1) unstable; urgency=medium
* Import upstream version 1.27.
2015-11-22 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.26-1) unstable; urgency=medium
* Import upstream version 1.26.
2015-10-18 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.25-1) unstable; urgency=medium
* Import upstream version 1.25.
* Update fix_script_path_autopkgtest.patch.
* Update years of packaging copyright.
2015-09-21 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libflickr-api-perl (1.19-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.19
* Remove .pl extension from flickr_make_test_values.pl during installation
2015-08-17 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libflickr-api-perl (1.18-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.18
* Remove spelling errors patch. It is already applied in upstream.
2015-07-25 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libflickr-api-perl (1.16-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Lucas Kanashiro ]
* Add debian/upstream/metadata
* Import upstream version 1.16
* Update dependencies
* Declare compliance with Debian Policy 3.9.6
* Add autopkgtest
* Remove .pl from executables and manpages when install them
* Add patch to fix spelling error in manpage (silence lintian)
* Set debhelper >= 9
* Update upstream copyright
* Patch tests to run them in installed version (autopkgtest)
2014-07-04 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.10-1) unstable; urgency=medium
* New upstream release.
2014-06-19 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.09-1) unstable; urgency=medium
* New upstream release.
* Strip trailing slash from metacpan URLs.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 3.9.5.

See Also

Package Description
libflickr-upload-perl_1.60-1_all.deb module for uploading images to flickr.com
libflightcrew-dev_0.7.2+dfsg-13_all.deb C++ library development filesfor epub validation
libflightcrew0v5_0.7.2+dfsg-13_i386.deb C++ library for epub validation
libflint-2.5.2_2.5.2-19_i386.deb C library for number theory, shared library
libflint-arb-dev_2.16.0-2_i386.deb C library for arbitrary-precision ball arithmetic, development files
libflint-arb-doc_2.16.0-2_all.deb C library for arbitrary-precision ball arithmetic, documentation
libflint-arb2_2.16.0-2_i386.deb C library for arbitrary-precision ball arithmetic, shared library
libflint-dev_2.5.2-19_i386.deb C library for number theory, development files
libflint-doc_2.5.2-19_all.deb Documentation for the FLINT library
libflite1_2.1-release-3_i386.deb Small run-time speech synthesis engine - shared libraries
libflorence-1.0-1_0.6.3-1.2_i386.deb extensible and scalable virtual keyboard for X
libflorence-1.0-dev_0.6.3-1.2_i386.deb extensible and scalable virtual keyboard for X
libflorist2018-dev_2017-5_i386.deb POSIX.5 Ada interface to operating system services: development
libflorist2018_2017-5_i386.deb POSIX.5 Ada interface to operating system services: shared library
libflowcanvas-dev_0.7.1+dfsg0-0.4_i386.deb interactive widget for “boxes and lines” environments - header files
Advertisement
Advertisement